package com.bonus.material.repair.service;

import com.bonus.common.core.web.domain.AjaxResult;
import com.bonus.material.repair.domain.ToBeRepair;

import java.util.List;

/**
 * @author hay
 */
public interface RepairService {
    /**
     * 获取待修工具和装备列表
     * @param bean
     * @return
     */
    List<ToBeRepair> getToBeRepairList(ToBeRepair bean);

    /**
     * 新增维修数据
     * @param bean
     * @return
     */
    AjaxResult addRepairData(ToBeRepair bean);

    /**
     * 获取维修列表
     * @param bean
     * @return
     */
    List<ToBeRepair> getRepairList(ToBeRepair bean);

    /**
     * 删除维修数据
     * @param bean
     * @return
     */
    AjaxResult deleteRepairList(ToBeRepair bean);

    /**
     * 获取维修详情列表
     * @param bean
     * @return
     */
    List<ToBeRepair> getRepairDetailsList(ToBeRepair bean);

    /**
     * 审核数据
     * @param bean
     * @return
     */
    AjaxResult auditData(ToBeRepair bean);

    /**
     * 修改维修数据
     * @param bean
     * @return
     */
    AjaxResult updateRepairData(ToBeRepair bean);
}
